"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var b=Object.create;var a=Object.defineProperty;var f=Object.getOwnPropertyDescriptor;var m=Object.getOwnPropertyNames;var w=Object.getPrototypeOf,d=Object.prototype.hasOwnProperty;var S=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports);var N=(t,e,n,r)=>{if(e&&typeof e=="object"||typeof e=="function")for(let o of m(e))!d.call(t,o)&&o!==n&&a(t,o,{get:()=>e[o],enumerable:!(r=f(e,o))||r.enumerable});return t};var v=(t,e,n)=>(n=t!=null?b(w(t)):{},N(e||!t||!t.__esModule?a(n,"default",{value:t,enumerable:!0}):n,t));var _=S((L,g)=>{g.exports=Vue});var s=v(_()),x=Object.prototype.toString,h=t=>x.call(t),y=t=>h(t).slice(8,-1),E="onReady";function I(){return typeof __channelId__=="string"&&__channelId__}function O(t,e){switch(y(e)){case"Function":return"function() { [native code] }";default:return e}}function C(t,e,n){return I()?(n.push(e.replace("at ","uni-app:///")),console[t].apply(console,n)):n.map(function(o){let i=h(o).toLowerCase();if(["[object object]","[object array]","[object module]"].indexOf(i)!==-1)try{o="---BEGIN:JSON---"+JSON.stringify(o,O)+"---END:JSON---"}catch(u){o=i}else if(o===null)o="---NULL---";else if(o===void 0)o="---UNDEFINED---";else{let u=y(o).toUpperCase();u==="NUMBER"||u==="BOOLEAN"?o="---BEGIN:"+u+"---"+o+"---END:"+u+"---":o=String(o)}return o}).join("---COMMA---")+" "+e}function l(t,e,...n){let r=C(t,e,n);r&&console[t](r)}function j(){return uni.getSubNVueById(plus.webview.currentWebview().id)}var B=t=>(e,n=(0,s.getCurrentInstance)())=>{!s.isInSSRComponentSetup&&(0,s.injectHook)(t,e,n)},k=B(E),D={wv:{"":{width:"750rpx",height:100,backgroundColor:"#000000"}}},R=(t,e)=>{let n=t.__vccOpts||t;for(let[r,o]of e)n[r]=o;return n},A=(0,s.defineComponent)({setup(t){let e=(0,s.reactive)({top:0,height:0}),n=j(),r=()=>{let o=uni.getWindowInfo(),i=uni.upx2px(117)+o.statusBarHeight;e.top=i,e.height=o.windowHeight-i,n.setStyle({height:e.height+"px",top:i+"px"}),l("log","at pages/moon/moon-sub.nvue:41",e)};return(0,s.onMounted)(()=>{l("log","at pages/moon/moon-sub.nvue:45","onMounted"),r()}),k(()=>{l("log","at pages/moon/moon-sub.nvue:51","onReady"),r()}),uni.$on("moon_hide",()=>{n.hide(null)}),uni.$on("moon_show",()=>{n.show(null)}),(o,i)=>((0,s.openBlock)(),(0,s.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,s.createElementVNode)("u-web-view",{class:"wv",style:(0,s.normalizeStyle)("height:"+(0,s.unref)(e).height+"px;"),webviewStyles:(0,s.unref)(e),src:"http://res.moon3d.open-iot.net/static/index.html"},null,12,["webviewStyles"])]))}}),c=R(A,[["styles",[D]]]);var p=plus.webview.currentWebview();if(p){let t=parseInt(p.id),e="pages/moon/moon-sub",n={};try{n=JSON.parse(p.__query__)}catch(o){}c.mpType="page";let r=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:e,__pageQuery:n});r.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),r.mount("#root")}})();
